org.apache.lucene.analysis.cn

## Class ChineseAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.cn.ChineseAnalyzer

- All Implemented Interfaces:
    Closeable, AutoCloseable

  Deprecated.
  (3.1) Use `StandardAnalyzer` instead, which has the same functionality. This analyzer will be removed in Lucene 5.0

      @Deprecated
      public final class ChineseAnalyzer
      extends Analyzer

  An `Analyzer` that tokenizes text with `ChineseTokenizer` and filters with `ChineseFilter`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChineseAnalyzer()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Analyzer.TokenStreamComponents` | `createComponents(String fieldName, Reader reader)` Deprecated. Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChineseAnalyzer

          public ChineseAnalyzer()

      Deprecated.

  - ### Method Detail

    - #### createComponents

          protected Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                        Reader reader)

      Deprecated.
      Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
      Specified by:
        `createComponents` in class `Analyzer`
      Returns:
        `Analyzer.TokenStreamComponents` built from a `ChineseTokenizer` filtered with `ChineseFilter`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.